import { getNamespaceFullName } from "@typespec/compiler";
export function getIdForType(type) {
    var _a;
    if (type.kind === "Namespace") {
        return getNamespaceFullName(type);
    }
    else if ("interface" in type && type.interface) {
        return `${getIdForType(type.interface)}.${type.name}`;
    }
    else if ("model" in type && type.model) {
        return `${getIdForType(type.model)}.${type.name}`;
    }
    else if ("namespace" in type && type.namespace) {
        return type.namespace.name === ""
            ? type.name
            : `${getNamespaceFullName(type.namespace)}.${type.name}`;
    }
    else if ("name" in type) {
        return (_a = type.name) === null || _a === void 0 ? void 0 : _a.toString();
    }
    else {
        return undefined;
    }
}
export function isNamedUnion(union) {
    return union.name !== undefined;
}
//# sourceMappingURL=utils.js.map